<!-- Pro Tools -->
<div id="tmplProTools" class="hide">


	<div class="row">
		<div class="col-md-4">
			<div class="row">
				<div class="col-md-6">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
						<h2 class="m-b-none">
							<span id="totalCurrentValueField" class="text-dark">0.00000</span>
							<span class="blue currencyText" style="">
								<span class="currencyField"></span>
								<span id="totalCurrentValueUSDField">0.00</span>
							</span>
						</h2>
						<div class="small" data-i18n="proToolsPage.TotalCurrentValue"></div>
                    </div>
				</div>
				<div class="col-md-6">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
						<h2 class="m-b-none">
							<span id="profifTodayPerc" class="text-dark">0.00%</span>
							<span class="orange currencyText">
								<span class="currencyField"></span>
								<span id="ProfitTodayUSDField">0.00</span>
							</span>
						</h2>
						<div class="small" data-i18n="proToolsPage.ProfitToday"></div>
                    </div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
						<h2 class="m-b-none">
							<span id="profifYesterdayPerc" class="text-dark">0.00%</span>
							<span class="orange currencyText">
								<span class="currencyField"></span>
								<span id="ProfitYesterdayUSDField">0.00</span>
							</span>
						</h2>
						<div class="small" data-i18n="proToolsPage.ProfitYesterday"></div>
                    </div>
				</div>
				<div class="col-md-6">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
						<h2 class="m-b-none">
							<span id="profifWeekPerc" class="text-dark">0.00%</span>
							<span class="orange currencyText">
								<span class="currencyField"></span>
								<span id="ProfitWeekUSDField">0.00</span>
							</span>
						</h2>
						<div class="small" data-i18n="proToolsPage.ProfitLastSevenDays">Profit Last 7 Days</div>
                    </div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="widget-bg-color-icon card-box fadeInDown animated" style="height:114px;">
						<div style="position: absolute; bottom: 20px; left: 0px; right: 0px; padding:0 10px;">
							<span id="sparkline" style="width:100%; height=47px;"></span>
						</div>
						<div class="m-t-sm">
							<h4 class="card-box-title">
								<span class="marketLabel"></span>&nbsp;Last Hour

								<span class="pull-right">
									<span id="currencyPrice">$0.00</span>
									<small><span class="delta label" id="currencyPriceChange">+0.00%</span></small>
								</span>
							</h4>
						</div>
                    </div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
                        <h4 class="card-box-title">Current Holdings</h4>
                        <div>
                            <table class="table table-sm table-borderless dt-current-holdings pro-table-striped" cellspacing="0" width="100%" style="font-size:0.9em;">
								<thead>
									<tr>
										<th>Category</th>
										<th>Pairs</th>
										<th>Cost</th>
										<th>Value</th>
										<th>Profit</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td class="blue"><a href="pairs-log">Pairs</a></td>
										<td id="chPairsAmount">0</td>
										<td class="yellow" id="chPairsCost">0.00 ($0.00)</td>
										<td class="orange" id="chPairsValue">0.00 ($0.00)</td>
										<td class="gray" id="chPairsProfit">0.00% ($0.00)</td>
									</tr>
									<tr>
										<td class="blue"><a href="dca-log">DCA</a></td>
										<td id="chDCAAmount">0</td>
										<td class="yellow" id="chDCACost">0.00 ($0.00)</td>
										<td class="orange" id="chDCAValue">0.00 ($0.00)</td>
										<td class="gray" id="chDCAProfit">0.00% ($0.00)</td>
									</tr>
									<tr>
										<td class="blue"><a href="pending-log">Pending</a></td>
										<td id="chPendingAmount">0</td>
										<td class="yellow" id="chPendingCost">0.00 ($0.00)</td>
										<td class="orange" id="chPendingValue">0.00 ($0.00)</td>
										<td class="gray" id="chPendingProfit">0.00% ($0.00)</td>
									</tr>
									<tr>
										<td class="blue"><a href="dust-log">Dust</a></td>
										<td id="chDustAmount">0</td>
										<td class="yellow" id="chDustCost">0.00 ($0.00)</td>
										<td class="orange" id="chDustValue">0.00 ($0.00)</td>
										<td class="gray" id="chDustProfit">0.00% ($0.00)</td>
									</tr>
								</tbody>
							</table>
                        </div>
                    </div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
                        <h4 class="card-box-title">Monthly Profits</h4>
						<table class="table table-sm table-borderless dt-monthly-sales pro-table-striped" cellspacing="0" width="100%">
							<thead>
								<tr>
									<th>Month</th>
									<th>Sells</th>
									<th>Profit</th>
									<th>Avg. Profit %</th>
								</tr>
							</thead>
							<tbody id="monthlySalesTable">
							</tbody>
						</table>
                    </div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
              <h4 style="color:#fff; font-weight:bold;">
								Profitable Pairs
							</h4>
							<h6 style="margin-bottom:20px;">Top 10 last 30 days</h6>

							<div class="ppTabs-container">
									<div id="mpTab" class="ppTab">Most Profitable</div>
									<div id="lpTab" class="ppTab">Least Profitable</div>
									<div id="msTab" class="ppTab">Most Sales</div>
							</div>
							<div id="mppChartContainer" style="min-height:230px;">
									<canvas id="mppChart"></canvas>
							</div>
							<script>
							  $('#mpTab').attr("class",'ppTab ppTab-active');
								$('.ppTab').click(function(){
									$('.ppTab').attr("class","ppTab");
									$(this).attr("class",'ppTab ppTab-active');
									updateProfitablePairsChart()
								})
							</script>
          </div>
				</div>
			</div>
		</div>
		<div class="col-md-8">
			<div class="row">
				<div class="col-md-7">
					<div class="widget-bg-color-icon card-box fadeInDown animated" style="min-height:310px;">
                        <h4 class="card-box-title" data-i18n="proToolsPage.DailyCumulativeProfit"></h4>
                        <div style="min-height:230px;"><canvas id="dcChart"></canvas></div>
                    </div>
				</div>
				<div class="col-md-5">
					<div class="widget-bg-color-icon card-box fadeInDown animated" style="min-height:310px;">
                        <h4 class="card-box-title" data-i18n="proToolsPage.CurrentValueDistribution"></h4>
                        <div style="min-height:230px;"><canvas id="cvdChart" style="min-width:150px; min-height:180px; max-height:230px;"></canvas></div>
                    </div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="widget-bg-color-icon card-box fadeInDown animated">
                        <h4 class="card-box-title" data-i18n="proToolsPage.DailyProfit"></h4>
						<table class="table table-striped table-bordered dt-monthly-sales pro-table-striped" id="dtDailyProfit" cellspacing="0" width="100%">
						</table>
                    </div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- end Pro Tools-->
